/* zAdd.h -- dialog class */
/* Created 2/25/97 4:56 PM by AppMaker */

#pragma once

#include <CAMDialogDirector.h>

class CAMButton;
class CPicture;
class CAMStaticText;
class CAMDialogText;
class CLabeledGroup;
class CAMRadioControl;
class CAMCheckBox;
class CAMPopupPane;

/*----------*/
class ZAdd : public CAMDialogDirector {
public:
	CAMButton*			itsOKButton;
	CAMButton*			itsCancelButton;
	CPicture*			itsLogoPict;
	CAMStaticText*		itsAddReminderForLabel;
	CAMStaticText*		itsDateLabel;
	CAMDialogText*		itsDateField;
	CAMStaticText*		itsTimeLabel;
	CAMDialogText*		itsTimeField;
	CLabeledGroup*		itsAmPmGroup;
	CAMRadioControl*	itsAMRadio;
	CAMRadioControl*	itsPMRadio;
	CAMStaticText*		itsMessageLabel;
	CAMDialogText*		itsMessageField;
	CAMStaticText*		itsWhenRemindingLabel;
	CAMCheckBox*		itsDisplayIconCheck;
	CAMCheckBox*		itsDisplayAlertCheck;
	CAMCheckBox*		itsPlaySoundCheck;
	CAMPopupPane*		itsSoundPopup;

	virtual void	IZAdd	(CDirectorOwner	*aSupervisor);

	void	UpdateMenus	(void);							// is override

}; /* ZAdd */
